package cn.net.test;

import com.jymf.common.LableUtil;

import java.io.IOException;
import java.net.BindException;
import java.net.ConnectException;
import java.net.SocketTimeoutException;
import java.net.UnknownHostException;
import java.util.ArrayList;
import java.util.List;

import cn.net.cpzslibs.prot.Prot02Logout;
import cn.net.cpzslibs.prot.SocketCreate;
import cn.net.cpzslibs.prot.bean.req.Prot10051InvoiceBean;
import cn.net.cpzslibs.prot.bean.req.Prot10051ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot10079ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20001ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20002ReqBatchBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20002ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20003ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20005ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20016ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20017ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20025ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20026ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20027ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20028ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20029ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20030ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20033ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20035ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20043ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20049ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.Prot20071ReqBean;
import cn.net.cpzslibs.prot.handset.bean.req.SheepWarehouseBean;
import cn.net.cpzslibs.prot.handset.bean.req.SingleLabelWithOptBean;
import cn.net.cpzslibs.prot.handset.newProt.Prot20001Product;

public class ANewCommonHandsetProtTest {
	private static long deviceId = 358000020L;// 1000000000118 358000020L
	// 1000000000137L(358000021)   1000000000393L
	// 1000022L 458000427L
	// 658000105L 658000109L
	// 358000965L(武汉世方御养生酒业有限公司 正式)
	// 558000063L 358000868L 358000052
	//358001238
	//358001252

	public static void main(String[] args) {
		ReqType type = ReqType.TEST_PROT_108_8990;
		String ip = getIp(type);
		int port = getProt(type);
		SocketCreate create = new SocketCreate(ip, port, "");
//		SocketCreate create = new SocketCreate(ip, port, "");
		
		try {
			// -----------------------------------通用版经销商出库--------------------20076-------------------------------------
//			create.createLoginCpzsHandset(deviceId);
//			if (create.isResult()) {
//				Prot20076SubmitDealerOut l = new Prot20076SubmitDealerOut();
//				l.submitDealerOut(create, get20076ReqBean());
//				System.err.println(l.getResBean());
//			}
			// -----------------------------------羊老大获取经销商列表--------------------20024-------------------------------------
//			create.createLoginCpzsHandset(deviceId);
//			if (create.isResult()) {
//				Prot20024ReqDealerInfo reqDealerInfo = new Prot20024ReqDealerInfo();
//				reqDealerInfo.dealDealerList(create);
//				System.err.println(reqDealerInfo.getResBean());
//			}
			// -----------------------------------通用套标激活--------------------20075-------------------------------------
//			create.createLoginCpzsHandset(deviceId);
//			System.err.println(" isResult:" + create.isResult());
//			if (create.isResult()) {
//				Prot20075ActivateWithRelation activate = new Prot20075ActivateWithRelation();
//				activate.submitActivateInfo(create, getSingleActivateBean());// 单标激活
//				Prot20017CheckLabelStatus checkLabelStatus = new Prot20017CheckLabelStatus();
//				checkLabelStatus.checkLabel(create, get20017ReqBean());
//				//
////				activate.submitActivateInfo(create, getBatchActivateBean());////
//				// 批量激活
//			}
			// -----------------提交扫码的运单信息------------------云天化-------20030--------------------------------------------------
			// SELECT labelid,COUNT(labelid) FROM `tbl_order_detail_358000000`
			// GROUP BY labelid HAVING COUNT(labelid)>1

			// {"count":10,"errcode":10024,"exception":2}
			// {"count":0,"errcode":0,"exception":0}
			// {"count":6,"errcode":10025,"exception":1,"list":[{"label_id":"1000000000167831"},{"label_id":"1000000000174191"},{"label_id":"1000000000180415"},{"label_id":"1000000000195990"},{"label_id":"1000000000208008"},{"label_id":"1000000000211387"}]}

			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20047SubmitYthScannerOrder ythOrder = new
			// Prot20047SubmitYthScannerOrder();
			// ythOrder.submitYthScannerOrder(create,
			// getSubmitYthScannerOrder());
			// System.err.println("请求结果：" + ythOrder.getResBean());
			// }
			// -----------------------------------标签操作--------------------20049-------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20049SubmitLabelOption labelOption = new
			// Prot20049SubmitLabelOption();
			// labelOption.submitLabelOptionInfo(create, getProt20049ReqBean());
			// System.err.println("返回结果： " + labelOption.getResBean());
			// }
			// -----------------请求车牌号信息------------------汽配-------10087--------------------------------------------------

//			create.createLoginCpzsHandset(deviceId);
//			if (create.isResult()) {
//				Prot10087GetCarNumber carNum = new Prot10087GetCarNumber();
//				carNum.getCatNumList(create);
//				Prot10087ResBean resBean = carNum.getResBean();
//				System.err.println("--" + resBean.toString());
//				/*try {
//					 System.out.println("" + ThreadErrorConstant.valueOf("code_" + resBean.getErrcode()).getError_msg());
////					 System.out.println(" " + ThreadErrorConstant.getErrorEnum(10001).getError_msg() +  "  " + ThreadErrorConstant.valueOf(ThreadErrorConstant.class, "code_"+10002).getError_msg());
//				} catch (IllegalArgumentException e) {
//					System.out.println("不存在的错误码");
//				}*/
//			}

			// -----------------请求用户信息------------------世方御-------20048--------------------------------------------------

//			create.createLoginCpzsHandset(deviceId);
//			if (create.isResult()) {
//				Prot20048ReqUserInfo reqUserInfo = new Prot20048ReqUserInfo();
//				reqUserInfo.dealUserInfoList(create);
//				System.err.println("--" + reqUserInfo.getUserInfo().toString());
//			}
			// -----------------根据订单编号，获取订单信息------------------云天化-------20046--------------------------------------------------
//			create.createLoginCpzsHandset(deviceId);
//			if (create.isResult()) {
//				Prot20046ReqYthOrder ythOrder = new Prot20046ReqYthOrder();
//				ythOrder.reqOrderInfoByOrderId(create, new Prot20032ReqBean("1"));
//				System.err.println("请求结果：" + ythOrder.getResBean());
//			}
			// -----------------------------------专柜销售--------------------20043-------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// System.err.println(" isResult:" + create.isResult());
			// if (create.isResult()) {
			// Prot20043SubmitCounter activate = new Prot20043SubmitCounter();
			// activate.submitCounterInfo(create, getProt20043ReqBean());
			// System.err.println("返回结果： " + activate.getResBean());
			// }
			// -----------------------------------校验标签状态--------------------20042-------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// System.err.println(" isResult:" + create.isResult());
			// if (create.isResult()) {
			// String labelStr = "900005500000";//1000000000005073
			// int consCode =
			// Integer.parseInt(LableUtil.getConsCode(getLabelId(labelStr)));
			// System.out.println("consCode: " + consCode);
			// Prot20042CheckLabelStatus checkLabel = new
			// Prot20042CheckLabelStatus();
			// checkLabel.checkLabelStatus(create, new
			// Prot20042ReqBean(getLabelId(labelStr), consCode),consCode+"");
			// System.err.println("返回结果： " + checkLabel.getResBean());
			// }
			// for (int i = 0; i < 100; i++) {
			// create.createLoginCpzsHandset(deviceId);
			// System.err.println(" isResult:" + create.isResult());
			// if (create.isResult()) {
			// String labelStr = "900005500000";//1000000000005073
			// int consCode =
			// Integer.parseInt(LableUtil.getConsCode(getLabelId(labelStr)));
			// System.out.println("consCode: " + consCode);
			// Prot20042CheckLabelStatus checkLabel = new
			// Prot20042CheckLabelStatus();
			// checkLabel.checkLabelStatus(create, new
			// Prot20042ReqBean(getLabelId(labelStr), consCode));
			// System.err.println("返回结果： " + checkLabel.getResBean());
			// }
			// }
			// -----------------------------------激活--------------------20033-------------------------------------
//			 create.createLoginCpzsHandset(deviceId);
//			 System.err.println(" isResult:" + create.isResult());
//			 if (create.isResult()) {
//			 Prot20041Activate activate = new Prot20041Activate();
//			 activate.submitActivateInfo(create, getLiqueurActivateBean());//
//			 单标激活
//			 System.err.println("返回结果： " + activate.getResBean());
//			 }
			// -----------------------------------激活并打包--------------------20040-------------------------------------

			// create.createLoginCpzsHandset(deviceId);
			// System.err.println(" isResult:" + create.isResult());
			// if (create.isResult()) {
			// Prot20040ActivateWithPack activate = new
			// Prot20040ActivateWithPack();
			// activate.submitActivateInfo(create, getSingleActivateBean());//
			// 单标激活
			// }
			// -----------------------------------激活并打包--------------------20038-------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// System.err.println(" isResult:" + create.isResult());
			// if (create.isResult()) {
			// Prot20038ActivateWithPack activate = new
			// Prot20038ActivateWithPack();
			// activate.submitActivateInfo(create, getLiqueurActivateBean());//
			// 单标激活
			// System.err.println("返回结果： " + activate.getResBean());
			// }
			// -----------------下载经销商信息------------------白酒-------20037--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20037ReqLiqueurDealerInfo reqDealer = new
			// Prot20037ReqLiqueurDealerInfo();
			// reqDealer.reqDealerInfo(create);
			// System.err.println("请求结果：" + reqDealer.getResBean().toString());
			// }
			// -----------------------------------获取产品列表-------20036--------------------------------------------------

			// create.createLoginCpzsHandset(deviceId);
			// System.err.println(" isResult:" + create.isResult());
			// if (create.isResult()) {
			// Prot20036Product p = new Prot20036Product();
			// p.reqProductList(create, new
			// Prot20001ReqBean(String.valueOf(deviceId)));
			// System.err.println("" + (p.getResBean().getList() != null));
			// }
			// -----------------------------------出库--------------------20035-------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// System.err.println(" isResult:" + create.isResult());
			// if (create.isResult()) {
			// Prot20035LabelOption labelOption = new Prot20035LabelOption();
			// labelOption.submitLabelOptionInfo(create, getProt20035ReqBean());
			// System.err.println("返回结果： " + labelOption.getResBean());
			// }

			// -----------------------------------激活--------------------20033-------------------------------------
//			 create.createLoginCpzsHandset(deviceId);
//			 System.err.println(" isResult:" + create.isResult());
//			 if (create.isResult()) {
//			 Prot20033Activate activate = new Prot20033Activate();
//			 activate.submitActivateInfo(create, getLiqueurActivateBean());//
			// 单标激活
			// System.err.println("返回结果： " + activate.getResBean());
//			 }
			// -----------------下载班组信息------------------白酒-------20034--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20034ReqLiqueurGroupInfo reqGroupInfo = new
			// Prot20034ReqLiqueurGroupInfo();
			// reqGroupInfo.reqGroupInfo(create);
			// System.err.println("请求结果：" +
			// reqGroupInfo.getResBean().toString());
			// }
			// -----------------提交扫码的运单信息------------------云天化-------20030--------------------------------------------------
			// SELECT labelid,COUNT(labelid) FROM `tbl_order_detail_358000000`
			// GROUP BY labelid HAVING COUNT(labelid)>1

			// {"count":10,"errcode":10024,"exception":2}
			// {"count":0,"errcode":0,"exception":0}
			// {"count":6,"errcode":10025,"exception":1,"list":[{"label_id":"1000000000167831"},{"label_id":"1000000000174191"},{"label_id":"1000000000180415"},{"label_id":"1000000000195990"},{"label_id":"1000000000208008"},{"label_id":"1000000000211387"}]}

			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20030SubmitYthScannerOrder ythOrder = new
			// Prot20030SubmitYthScannerOrder();
			// ythOrder.submitYthScannerOrder(create,
			// getSubmitYthScannerOrder());
			// System.err.println("请求结果：" + ythOrder.getResBean());
			// }
			// -----------------获取所有的未发货运单------------------云天化-------20031--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20031ReqYthOrderList ythOrder = new
			// Prot20031ReqYthOrderList();
			// ythOrder.reqYthOrderList(create);
			// System.err.println("请求结果：" + ythOrder.getResBean());
			// }
			// -----------------根据订单编号，获取订单信息------------------云天化-------20032--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20032ReqYthOrder ythOrder = new Prot20032ReqYthOrder();
			// ythOrder.reqOrderInfoByOrderId(create, new
			// Prot20032ReqBean("3"));
			// System.err.println("请求结果：" + ythOrder.getResBean());
			// }

			// -----------------羊毛仅出库------------------羊毛-------20027--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20027SheepOnlyOutWarehouse outWarehouse = new
			// Prot20027SheepOnlyOutWarehouse();
			// outWarehouse.submitOnlyOutWarehouse(create,
			// getSheepOnlyOutWarehouseReqBean());
			// System.err.println("请求结果：" + outWarehouse.getResBean());
			// }
			// -----------------羊毛返库------------------羊毛-------20028--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20028SheepBackWarehouse backWarehouse = new
			// Prot20028SheepBackWarehouse();
			// backWarehouse.submitBackWarehouse(create,
			// getSheepBackWarehouseReqBean());
			// System.err.println("请求结果：" + backWarehouse.getResBean());
			// }
			// -----------------羊毛调货------------------羊毛-------20029--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20029SheepExchangeCargo cargo = new
			// Prot20029SheepExchangeCargo();
			// cargo.submitExchangeCargo(create, getSheepCargoReqBean());
			// System.err.println("请求结果：" + cargo.getResBean());
			// }
			// -----------------羊毛出库------------------羊毛-------20026--------------------------------------------------
			// {"list":[{"error_code":10004,"id":10},{"error_code":10004,"id":11}],"result":2}
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20026SheepWarehouse submitWarehouse = new
			// Prot20026SheepWarehouse();
			// submitWarehouse.submitWarehouseInfo(create,
			// getSheepWarehouseBean());
			// System.err.println("请求结果：" +
			// submitWarehouse.getResBean().toString());
			// }
			// -----------------下载经销商用户表------------------羊毛-------20024--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20024ReqDealerInfo reqDealerInfo = new
			// Prot20024ReqDealerInfo();
			// reqDealerInfo.dealDealerList(create);
			// System.err.println("请求结果：" +
			// reqDealerInfo.getResBean().toString());
			// }
			// -----------------查询标签信息------------------羊毛-------20022--------------------------------------------------
			// {"dealer_id":"1","first_consume_time":"2014-08-08
			// 09:44:56","iResult":0,"label_id":"1000021066414976","package_id":"","pop_time":"2017-06-14
			// 14:46:39","produce_time":"2017-07-06
			// 14:44:59","product_name":"","remark":"111"}
			// String labelId = "100002108843";// 1000021066414976(正常标签)
			// labelId = getLabelId(labelId);
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20022SearchLabelInfo searchLabelInfo = new
			// Prot20022SearchLabelInfo();
			// searchLabelInfo.searchLabelInfo(create, new
			// SingleLabelIdBean(labelId));
			// System.err.println("请求结果：" +
			// searchLabelInfo.getResBean().toString());
			// }
			// -----------------出返库操作------------------羊毛-------20021--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			//
			// }
			// -----------------上传手持机参数------------------云天化-------20025--------------------------------------------------

			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20025SubmitHandsetParameter submitHandsetParameter = new
			// Prot20025SubmitHandsetParameter();
			// submitHandsetParameter.submitHandsetParameter(create,
			// getSubmitHandsetBean());
			// }
			// -----------------请求用户信息------------------云天化-------20020--------------------------------------------------

//			 create.createLoginCpzsHandset(deviceId);
//			 if (create.isResult()) {
//			 Prot20020ReqUserInfo reqUserInfo = new Prot20020ReqUserInfo();
//			 reqUserInfo.dealUserInfoList(create);
//			 System.err.println("--" + reqUserInfo.getUserInfo().toString());
//			 }

			// -----------------通用版检测标签状态------------------通用版-------20017--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20017CheckLabelStatus checkLabelStatus = new
			// Prot20017CheckLabelStatus();
			// checkLabelStatus.checkLabel(create, get20017ReqBean());
			// System.err.println("解析后：" + checkLabelStatus.getResBean());
			// }
			//
			// -----------------上传天安的发货列表------------------云天化-------20016--------------------------------------------------

//			create.createLoginCpzsHandset(deviceId);
//			if (create.isResult()) {
//				Prot20016SubmitTAInvoice submitTAInvoice = new Prot20016SubmitTAInvoice();
//				submitTAInvoice.submitInvoice(create, getTaInvoiceBean());
//			}
			// -----------------上传天安的发货列表------------------云天化-------20071--------------------------------------------------

//			create.createLoginCpzsHandset(deviceId);
//			if (create.isResult()) {
//				Prot20071SubmitTAInvoice submitTAInvoice = new Prot20071SubmitTAInvoice();
//				submitTAInvoice.submitInvoice(create, get71TaInvoiceBean());
//			}
			// -----------------下载天安的收货人信息------------------云天化-------20014--------------------------------------------------

//			create.createLoginCpzsHandset(deviceId);
//			if (create.isResult()) {
//				Prot20014ReqTAConsignee consignee = new Prot20014ReqTAConsignee();
//				consignee.dealConsigneeList(create,new Prot20014ReqBean("15011350272"));
//				System.err.println("获取到收货人信息：" + consignee.getConsignees().toString());
//			}

			// -----------------获取天安收货地址信息------------------云天化-------20015--------------------------------------------------

//			create.createLoginCpzsHandset(deviceId);
//			if (create.isResult()) {
//				Prot20015ReqTAddress reqTAddress = new Prot20015ReqTAddress();
//				reqTAddress.dealAddressList(create,new Prot20014ReqBean("15011350272"));
//				System.err.println("获取到地址列表：" + reqTAddress.getAddress().toString());
//			}
			// ---------------获取云天化版带图片的--------------------产品列表-------20006--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// System.err.println(" isResult:" + create.isResult());
			// if (create.isResult()) {
			// Prot20006Product p = new Prot20006Product();
			// p.reqProductList(create, new
			// Prot20001ReqBean(String.valueOf(deviceId)));
			// System.err.println(" " + (p.getResBean().getList() != null));
			// }

			// -----------------------------------云天化激活-------20007--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// System.err.println(" isResult:" + create.isResult());
			// if (create.isResult()) {
			// Prot20007Activate activate = new Prot20007Activate();
			// activate.submitActivateInfo(create,
			// getYthSingleActivateBean());// 单标激活
			// }

			// -----------------提交发货信息---------------云天化-------20010--------------------------------------------------
//			create.createLoginCpzsHandset(deviceId);
//			if (create.isResult()) {
//				Prot20010SubmitInvoice submitInvoice = new Prot20010SubmitInvoice(); //
//				// submitInvoice.submitInvoice(create, getT51ReqBean());
//				submitInvoice.submitInvoice(create, getT51TrainReqBean());
//				System.err.println("--" + submitInvoice.getResponse().toString());
//			}
			
			//测试使用
			/*if (create.isResult()) {
				Prot20010SubmitTestInvoice s = new Prot20010SubmitTestInvoice();
				s.submitInvoice(create, YthSubmitTestData.invoceData);
				System.err.println("--" + s.getResponse().toString());

			}*/

			// -------------------检测packageID----------------云天化-------20009--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20009CheckPackageId packageId = new
			// Prot20009CheckPackageId();
			// packageId.dealCheckPackageId(create, new
			// Prot10061ReqBean("1002185670224854"));
			// System.err.println("--" + packageId.getRes().toString());
			// }

			// -----------------请求地址列表------------------云天化-------20011--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20011ReqStationManager reqStationManager = new
			// Prot20011ReqStationManager();
			// reqStationManager.dealStationList(create);
			// System.err.println("--" +
			// reqStationManager.getStations().toString());
			// }

			// -----------------请求火车地址列表------------------云天化-------20012--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// Prot20012ReqTrainStation reqStationManager = new
			// Prot20012ReqTrainStation();
			// reqStationManager.dealStationList(create);
			// System.err.println("--" +
			// reqStationManager.getStations().toString());
			// }

			// -----------------请求客户信息------------------云天化-------20013--------------------------------------------------
//			create.createLoginCpzsHandset(deviceId);
//			if (create.isResult()) {
//				Prot20013ReqConsignee req = new Prot20013ReqConsignee();
//				req.dealConsigneeList(create);
//				System.err.println("--" + req.getConsignees().toString());
//			}

			// -----------------------------------1-出库 2-入库 3-销售 4-返库 5-采集 6-运输
			// 7-贮藏-------20005--------------------------------------------------
			// if (create.isResult()) {
			// Prot20005LabelOption p = new Prot20005LabelOption();
			// System.err.println("上传：" + getLabelOptionReqBean());
			// p.submitLabelOptionInfo(create, getLabelOptionReqBean());
			// }

			// -----------------------------------打包-------20003--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20003Pack p = new Prot20003Pack();
			// p.submitPackInfo(create, getProt20003ReqBean());
			// }

			// -----------------------------------拆包-------20004--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// if (create.isResult()) {
			// Prot20004Unpack p = new Prot20004Unpack();
			// p.submitUnpackInfo(create, new
			// Prot20004ReqBean("1002185670211234"));
			// System.err.println(getLabelId("100001002679") + " " +
			// (p.getResBean().toString()));
			// long label = 100218567021L;// 100218567021L;
			// for (int i = 0; i < 20; i++) {
			// label++;
			// p.submitUnpackInfo(create, new
			// Prot20004ReqBean(getLabelId(String.valueOf(label))));
			// System.err.println("i:" + i + " " + (p.getResBean().toString()));
			// }
			// }

			// -----------------------------------获取产品列表-------20001--------------------------------------------------
			 create.createLoginCpzsHandset(deviceId);
			System.err.println(" isResult:" + create.isResult());
			if (create.isResult()) {
				Prot20001Product p = new Prot20001Product();
				p.reqProductList(create, new Prot20001ReqBean(String.valueOf(deviceId)));
				System.err.println("" + (p.getResBean().getList() != null));
			}

			// -----------------------------------获取云天化版带图片的产品列表-------10080--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// System.err.println(" isResult:" + create.isResult());
			// if (create.isResult()) {
			// Prot10080Product p = new Prot10080Product();
			// p.reqProductList(create, new
			// Prot20001ReqBean(String.valueOf(deviceId)));
			// System.err.println(" " + (p.getResBean().getList() != null));
			// }

			// -----------------------------------云天化激活-------10080--------------------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// System.err.println(" isResult:" + create.isResult());
			// if (create.isResult()) {
			// Prot10079Activate activate = new Prot10079Activate();
			// activate.submitActivateInfo(create,
			// getYthSingleActivateBean());// 单标激活
			// activate.submitActivateInfo(create, getBatchActivateBean());//
			// 批量激活
			// }

			// -----------------------------------激活--------------------20002-------------------------------------
			// create.createLoginCpzsHandset(deviceId);
			// System.err.println(" isResult:" + create.isResult());
			// if (create.isResult()) {
			// Prot20002Activate activate = new Prot20002Activate();
			// activate.submitActivateInfo(create, getSingleActivateBean());//
			// 单标激活
			// //
			// activate.submitActivateInfo(create,getBatchActivateBean());////
			// // 批量激活
			// }

		} catch (BindException e) {
			e.printStackTrace();
		} catch (ConnectException e) {
			e.printStackTrace();
		} catch (SocketTimeoutException e) {
			e.printStackTrace();
		} catch (UnknownHostException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		} finally {
			new Prot02Logout().dealLogout(create);
		}
	}
	
	private static Prot20027ReqBean get20076ReqBean() {
		Prot20027ReqBean reqBean = new Prot20027ReqBean();
		reqBean.setOpt(1);//1是出库 2是返库
		reqBean.setFlag(1);//0是单标，1是批量
		reqBean.setArea_id(1050900);
		reqBean.setDealer_id(1);
		reqBean.setActual_num(30);
		reqBean.setRemark("批量测试");
//		reqBean.setSingle(getSingleLabel());
		reqBean.setBatcher(new Prot20002ReqBatchBean(getLabelId("200001002591"), getLabelId("200001002598")));
//		reqBean.setCreate_time("2018-7-2 10:01:20");
		return reqBean;
	}

	enum ReqType{
		TEST_PROT_109_8890,
		TEST_PROT_108_8990,
		OFFICIAL_PROT_108_8003,
		OFFICIAL_PROT_108_8765
	}
	//  1:正式仓库  2：正式经销商
	private static String getIp(ReqType type) {
		String ip = "218.245.0.109";
		switch (type) {
		case TEST_PROT_109_8890:
			ip = "218.245.0.109";
			break;
		default:
//			ip = "218.245.0.108";
			ip = "www.gjcpzlzs.com";
			break;
		}
		return ip;
	}
	
	private static int getProt(ReqType type) {
		int prot = 8890;
		switch (type) {
		case TEST_PROT_109_8890:
			prot = 8890;
			break;
		case TEST_PROT_108_8990:
			prot = 8990;
			break;
		case OFFICIAL_PROT_108_8003:
			prot = 8003;
			break;
		case OFFICIAL_PROT_108_8765:
			prot = 8765;
			break;
		}
		return prot;
	}

	private static Prot20049ReqBean getProt20049ReqBean() {
		Prot20049ReqBean reqBean = new Prot20049ReqBean();
		reqBean.setAccount("15011350272");
		// 销售
		// reqBean.setOpt(2);
		// reqBean.setSales_area(10020);
		// reqBean.setSales_name("红码头国际酒城");
		// reqBean.setProduct_id(100001);
		// 退货
		reqBean.setOpt(3);
		// 出库
		// reqBean.setOpt(1);
		// reqBean.setDealer_id(40L);

		reqBean.setLabels(getSingleLabel());
		return reqBean;
	}

	private static Prot20043ReqBean getProt20043ReqBean() {
		Prot20043ReqBean reqBean = new Prot20043ReqBean();
		reqBean.setImei("868746024641440");
		reqBean.setSingle(getSingleLabelWithOptList());
		return reqBean;
	}

	private static List<SingleLabelWithOptBean> getSingleLabelWithOptList() {
		List<SingleLabelWithOptBean> l = new ArrayList<>();
		long startLabel1 = 100001002625L;// 100218567021L;
		for (int i = 0; i < 10; i++) {
			startLabel1++;
			SingleLabelWithOptBean lB = new SingleLabelWithOptBean();
			lB.setId(i);
			lB.setLabel_id(getLabelId(String.valueOf(startLabel1)));
			lB.setOpt(1);
			lB.setCreate_time("2017-8-21 13:47:26");
			l.add(lB);
		}
		SingleLabelWithOptBean lB = new SingleLabelWithOptBean();
		lB.setId(11);
		lB.setLabel_id(getLabelId("100406600109"));
		lB.setOpt(2);
		lB.setCreate_time("2017-8-21 13:47:26");
		l.add(lB);

		SingleLabelWithOptBean lB2 = new SingleLabelWithOptBean();
		lB2.setId(12);
		lB2.setLabel_id(getLabelId("100406600109"));
		lB2.setOpt(2);
		lB2.setCreate_time("2017-8-21 14:03:35");
		l.add(lB2);

		// SingleLabelWithOptBean lB1 = new SingleLabelWithOptBean();
		// lB1.setId(13);
		// lB1.setLabel_id(getLabelId("100406600109"));
		// lB1.setOpt(1);
		// lB1.setCreate_time("2017-8-21 13:47:26");
		// l.add(lB1);
		//
		return l;
	}

	private static Prot20035ReqBean getProt20035ReqBean() {
		Prot20035ReqBean reqBean = new Prot20035ReqBean();
		reqBean.setOpt(2);
		reqBean.setPlan_num(100);
		reqBean.setDealer_id(2);
		reqBean.setLabels(getSingleLabel());
		// reqBean.setOpt(1);
		// reqBean.setPlan_num(100);
		// reqBean.setSales_area(0);
		// reqBean.setLabels(getSingleLabel());
		return reqBean;
	}

	private static Prot20033ReqBean getLiqueurActivateBean() {
		Prot20033ReqBean reqBean = new Prot20033ReqBean();
		reqBean.setTeam("1");
		reqBean.setProduce_date("2017-07-03");
		reqBean.setProduct_id("100001");
		reqBean.setProduce_batch("201710221234");
		reqBean.setType(0);
		reqBean.setPackage_id(getLabelId(String.valueOf("200001000001")));
		reqBean.setSingle(getSingleLabel());
		// reqBean.setType(1);
		// reqBean.setBatcher(new
		// Prot20002ReqBatchBean(getLabelId("900015204637"),
		// getLabelId("900015211636")));
		System.out.println("发送的数据：" + reqBean.toString());
		return reqBean;
	}

	private static Prot20030ReqBean getSubmitYthScannerOrder() {
		Prot20030ReqBean reqBean = new Prot20030ReqBean();
		reqBean.setId("1");
		reqBean.setLabel_id(getSingleLabel());
		reqBean.setAccount("15011350272");
		return reqBean;
	}

	private static Prot20027ReqBean getSheepOnlyOutWarehouseReqBean() {
		Prot20027ReqBean reqBean = new Prot20027ReqBean();
		reqBean.setOpt(1);
		reqBean.setCreate_time("2017-06-23");
		reqBean.setFlag(1);
		reqBean.setActual_num(10);
		reqBean.setArea_id(10020);
		reqBean.setDealer_id(2);
		// reqBean.setSingle(getSingleLabel());
		// reqBean.setBatcher(new
		// Prot20002ReqBatchBean(getLabelId(String.valueOf(100002106654L)),
		// getLabelId(String.valueOf(100003106663L))));
		reqBean.setBatcher(new Prot20002ReqBatchBean("1000000000058883", "1000000000116724"));
		return reqBean;
	}

	private static Prot20028ReqBean getSheepBackWarehouseReqBean() {
		Prot20028ReqBean reqBean = new Prot20028ReqBean();
		reqBean.setOpt(2);
		reqBean.setCreate_time("2017-06-23");
		reqBean.setFlag(1);
		// reqBean.setSingle(getSingleLabel());
		// reqBean.setBatcher(new
		// Prot20002ReqBatchBean(getLabelId(String.valueOf(100002106654L)),
		// getLabelId(String.valueOf(100003106663L))));
		reqBean.setBatcher(new Prot20002ReqBatchBean("1000000000058883", "1000000000085511"));
		return reqBean;
	}

	private static Prot20029ReqBean getSheepCargoReqBean() {
		Prot20029ReqBean reqBean = new Prot20029ReqBean();
		reqBean.setFrom(3);
		reqBean.setTo(1);
		reqBean.setArea_code(10020);
		reqBean.setFlag(0);
		reqBean.setSingle(getSingleLabel());
		// reqBean.setBatcher(new
		// Prot20002ReqBatchBean(getLabelId(String.valueOf(100002106654L)),
		// getLabelId(String.valueOf(100003106663L))));
		return reqBean;
	}

	private static Prot20026ReqBean getSheepWarehouseBean() {
		Prot20026ReqBean reqBean = new Prot20026ReqBean();
		reqBean.setArea_id(100000);
		reqBean.setCreate_time("2017-06-15 14:52:00");
		reqBean.setDealer_id(1);
		reqBean.setOpt(1);
		reqBean.setRemark("Echo Test 2");
		reqBean.setList(getSheepWarehouseList());
		return reqBean;
	}

	private static List<SheepWarehouseBean> getSheepWarehouseList() {
		List<SheepWarehouseBean> list = new ArrayList<>();

		long startLabel = 100002106642L;
		for (int i = 0; i < 10; i++) {
			SheepWarehouseBean sBean1 = new SheepWarehouseBean();
			sBean1.setActive_id(i + 1);
			sBean1.setActual_num(100);
			sBean1.setProduct_id("100003");// 1.31 GB/2.66 GB 1.31 GB、2.66 GB
			sBean1.setStart(getLabelId(String.valueOf(startLabel + 1)));
			startLabel = startLabel + 100;
			sBean1.setEnd(getLabelId(String.valueOf(startLabel)));// 7143
			list.add(sBean1);

		}
		/*
		 * long startLabel1 = 100002106642L; SheepWarehouseBean sBean1 = new
		 * SheepWarehouseBean(); sBean1.setActive_id(1);
		 * sBean1.setActual_num(100); sBean1.setProduct_id("100003");//1.31
		 * GB/2.66 GB 1.31 GB、2.66 GB
		 * sBean1.setStart(getLabelId(String.valueOf(startLabel1))); //
		 * startLabel = startLabel + 1000;
		 * sBean1.setEnd(getLabelId(String.valueOf(startLabel1 + 50000)));//7143
		 * list.add(sBean1);
		 * 
		 * 
		 * long startLabel2 = 100002106542L; SheepWarehouseBean sBean2 = new
		 * SheepWarehouseBean(); sBean2.setActive_id(2);
		 * sBean2.setActual_num(100); sBean2.setProduct_id("100003");//1.31
		 * GB/2.66 GB 1.31 GB、2.66 GB
		 * sBean2.setStart(getLabelId(String.valueOf(startLabel2))); //
		 * startLabel = startLabel + 1000;
		 * sBean2.setEnd(getLabelId(String.valueOf(startLabel2 + 50000)));//7143
		 * list.add(sBean2);
		 * 
		 * 
		 * long startLabel3 = 100002107642L; SheepWarehouseBean sBean3 = new
		 * SheepWarehouseBean(); sBean3.setActive_id(3);
		 * sBean3.setActual_num(100); sBean3.setProduct_id("100003");//1.31
		 * GB/2.66 GB 1.31 GB、2.66 GB
		 * sBean3.setStart(getLabelId(String.valueOf(startLabel3))); //
		 * startLabel = startLabel + 1000;
		 * sBean3.setEnd(getLabelId(String.valueOf(startLabel3 + 50000)));//7143
		 * list.add(sBean3);
		 */

		// SheepWarehouseBean sBean1 = new SheepWarehouseBean();
		// sBean1.setActive_id(11);
		// sBean1.setActual_num(100);
		// sBean1.setProduct_id("100002");
		// sBean1.setStart(getLabelId("100001106643"));
		// sBean1.setEnd(getLabelId("100001107143"));//7143 100001207143
		// list.add(sBean1);
		//

		// SheepWarehouseBean sBean = new SheepWarehouseBean();
		// sBean.setActive_id(11);
		// sBean.setActual_num(10);
		// sBean.setProduct_id("100002");
		// sBean.setStart("1000000000100994");
		// sBean.setEnd("1000000000100994");//7143 100002207143
		// list.add(sBean);

		return list;
	}

	private static Prot20025ReqBean getSubmitHandsetBean() {
		// TODO Auto-generated method stub
		Prot20025ReqBean reqBean = new Prot20025ReqBean();
		String json = "{\"androidReleaseVersion\":\"5.2\",\"appInfos\":[\"Site Pyo\",\"物流终端\",\"入库工具\",\"计步器\",\"花粉儿\",\"搜狗输入法\",\"美团\",\"安兔兔评测\",\"扫一扫\",\"豌豆荚连接服务\",\"大众点评\",\"查询\",\"EchoRecyclerview\",\"图片浏览\",\"Multiple Images Selector\",\"ChinaTrace\",\"微信\",\"记事本\",\"AndroidTest02\",\"应用宝\",\"手机百度\",\"Material Everywhere\",\"高德定位SDK示例\",\"91VPN\",\"鲁大师手机助手\",\"中国追溯\",\"echoIonic\",\"宠托邦\",\"APKPure\",\"RecyclerViewDemo\",\"智能扫描小工具\",\"画板\",\"手持机\",\"GenSignature\",\"灭火器\",\"Barcode Scanner\",\"Video List\",\"Dome\",\"QQ\",\"平安口袋银行\",\"网易新闻\",\"稽查\",\"我查查\",\"Cropper Sample\",\"GalleryFinal\",\"PhotoView Sample\",\"豌豆荚\",\"喜马拉雅FM\",\"百度地图\",\"Google Maps API Demos\",\"AliImageEngine\",\"TO-DO-MVP\",\"cnodejs\",\"AlxImageLoader\",\"HuJiang\",\"AMaps3D Demos\",\"谷歌服务\",\"视频解码器\",\"360手机助手\",\"HeadZoomScrollView\",\"noder\",\"AlxYoutubePlayer\",\"翻译\",\"RecyclerViewLoadMore\",\"ijkmediademo\",\"TestActionBar\",\"DisplayingBitmaps\",\"AndroidSystemUiTraining\",\"手机京东\",\"换机助手\",\"农产品\",\"ImageListViewRefresh\",\"BuzzerBeater\",\"QR_CodeScan\",\"携程旅行\",\"echoMap\",\"微博\",\"AndroidSwipeLayout\",\"NetworkConnection\",\"鲁大师\",\"EchoImageLoader\",\"PowerRecyclerView\",\"ShareSDK第三方平台登录示例\",\"MultiWindowSDKExample\",\"支付宝\",\"SwipeToLoadLayout Demo\"],\"brand\":\"Meizu\",\"cpuName\":\"AArch64 Processor rev 2 (aarch64)\",\"imei\":\"868746024641440\",\"mac\":\"38:bc:1a:3f:b3:75\",\"memoryAvailableCapacity\":1445359616,\"memoryAvailableCapacityDes\":\"1.35 GB\",\"memoryTotalCapacity\":2860711936,\"memoryTotalCapacityDes\":\"2.66 GB\",\"sdcardAvailableCapacity\":2933022720,\"sdcardAvailableCapacityDes\":\"2.73 GB\",\"sdcardTotalCapacity\":12553089024,\"sdcardTotalCapacityDes\":\"11.69 GB\",\"serial\":\"85GABMCJWH6D\",\"sysAvailableCapacity\":80429056,\"sysAvailableCapacityDes\":\"76.70 MB\",\"sysTotalCapacity\":1560133632,\"sysTotalCapacityDes\":\"1.45 GB\",\"wifiIp\":\"10.0.2.12\"}";
		reqBean.setImei("868746024641440");// 868746024641440
		reqBean.setHandset_parameter(json);
		return reqBean;
	}

	private static Prot20017ReqBean get20017ReqBean() {
		// 100001002781
		Prot20017ReqBean reqBean = new Prot20017ReqBean();
		List<String> labels = new ArrayList<>();
		/*
		 * long startLabel = 100001002781L;// 100218567021L; for (int i = 0; i <
		 * 20; i++) { startLabel++;
		 * labels.add(getLabelId(String.valueOf(startLabel))); }
		 */
		// long startLabel1 = 100406600116L;// 100218567021L;
		// for (int i = 0; i < 20; i++) {
		// startLabel1++;
		// labels.add(getLabelId(String.valueOf(startLabel1)));
		// }
		/*labels.add(getLabelId("900000000003"));
		labels.add(getLabelId("900000000002"));
		labels.add(getLabelId("900000000006"));
		labels.add(getLabelId("100001002585"));
		labels.add("1234567852124563");

		reqBean.setLabels(labels);*/
		reqBean.setLabels(getSingleLabel());
		reqBean.setOpt(9);// 1-出库 2-入库 3-销售 4-返库 6-打包 8-激活 9-套标激活 10-出库

		return reqBean;
	}

	private static Prot20016ReqBean getTaInvoiceBean() {
		Prot20016ReqBean reqBean = new Prot20016ReqBean();
		reqBean.setTruck_number("京A050995");
		reqBean.setAccount("15011350272");
		reqBean.setRegion_id(1010000);
		reqBean.setAddress("红军营南路、瑞普大厦C座1");
		reqBean.setTeam("一班");
		reqBean.setConsignee("奉节县华维农业技术咨询有限公司1");
		reqBean.setUpload_time("2018-6-27 14:00:42");
		 reqBean.setLabel_id(getLabelTrueTData());
//		reqBean.setLabel_id(getSingleLabel());
		return reqBean;
	}
	
	private static Prot20071ReqBean get71TaInvoiceBean() {
		Prot20071ReqBean reqBean = new Prot20071ReqBean();
		reqBean.setTruck_number("京A050995");
		reqBean.setAccount("15011350272");
		reqBean.setRegion_id(1010001);
		reqBean.setAddress("红军营南路、瑞普大厦C座1");
		reqBean.setTeam("一班");
		reqBean.setConsignee("奉节县华维农业技术咨询有限公司1");
		reqBean.setUpload_time("2018-3-7 13:15:24");
		// reqBean.setLabel_id(getLabelTrueTData());
		reqBean.setLabel_id(getSingleLabel());
		reqBean.setVid(getVidTData());
		reqBean.setOpt(-1);
		return reqBean;
	}
	private static List<String> getVidTData() {
		List<String> vid = new ArrayList<>();
//		for (int i = 0; i < 10; i++) {
//			vid.add("100011234567" + i);
//		}
		vid.add(getLabelId("100000000012"));
		return vid;
	}
	
	private static List<String> getSingleLabel() {
		List<String> list = new ArrayList<>();
		// long startLabel = 900015204636L;// 100218567021L;
		long startLabel = 100000000001L;// 100218567021L;
//		for (int i = 0; i < 10; i++) {
//			startLabel++;
//			list.add(getLabelId(String.valueOf(startLabel)));
//		}
		list.add(getLabelId("900000000003"));
		list.add(getLabelId("900000060202"));
		list.add(getLabelId("100001002593"));
		// list.add("10");
		// list.add("1000010025780335");
		// list.add("1000000000014935");
		// list.add("1000000000100994");
		// list.add("2000010000018359");

		// list.add("1003982127643537");
		// list.add("1003982127650321");
		// list.add("1003982127666183");
		// list.add("1003982127672004");
		// list.add("1003982127686623");
		// list.add("9000151824602894");

		return list;
	}


	private static Prot10051ReqBean getT51TrainReqBean() {

		Prot10051ReqBean reqBean = new Prot10051ReqBean();
		reqBean.setType(1);
		Prot10051InvoiceBean invoiceBean = new Prot10051InvoiceBean();
		invoiceBean.setCarriage_no("P1234567");
		invoiceBean.setOrder_no("1234567");
		invoiceBean.setStarting_station(1);
		invoiceBean.setTerminal_station(16);
		invoiceBean.setCustomer_id(179);
		invoiceBean.setTimestamp("2018-6-27 11:06:22");
		invoiceBean.setOpt(1);
		invoiceBean.setVid(getVidTrueTData());
		invoiceBean.setLabel_id(getLabelTrueTData());
		reqBean.setOrder(invoiceBean);
		return reqBean;

	}

	private static List<String> getLabelTrueTData() {
		List<String> label = new ArrayList<>();
		System.out.println(getLabelId("100218567022"));
		label.add(getLabelId("200000000153"));//1804170200000006
		label.add(getLabelId("200000000154"));
		label.add(getLabelId("200000000155"));
		label.add(getLabelId("200000000156"));
		label.add(getLabelId("200000000157"));
		return label;
	}

	private static List<String> getVidTrueTData() {
		List<String> via = new ArrayList<>();
//		via.add("1002151303158180");
		via.add(getLabelId("200000000091"));
		return via;
	}

	private static Prot10051ReqBean getT51ReqBean() {
		Prot10051ReqBean reqBean = new Prot10051ReqBean();
		reqBean.setType(2);
		Prot10051InvoiceBean invoiceBean = new Prot10051InvoiceBean();
		invoiceBean.setTruck_no("京A10001");
		invoiceBean.setDriver_name("echoTest");
		invoiceBean.setDriver_phone("15009287021");
		invoiceBean.setOrder_no("1234567");
		invoiceBean.setStarting_station(0);
		invoiceBean.setTerminal_station(17);
		invoiceBean.setTimestamp("2016-08-08 10:10:10");
		invoiceBean.setVid(getVidTData());
		invoiceBean.setLabel_id(getLabelTData());
		reqBean.setOrder(invoiceBean);
		return reqBean;
	}

	private static List<String> getLabelTData() {
		List<String> labelID = new ArrayList<>();

		for (int i = 0; i < 20; i++) {
			labelID.add("200011234567" + i);
		}
		return labelID;
	}

	

	private static Prot20005ReqBean getLabelOptionReqBean() {
		Prot20005ReqBean reqBean = new Prot20005ReqBean();
		reqBean.setLabels(getSingleLabel());
		reqBean.setOpt(3);// 1-出库 2-入库 3-销售 4-返库 5-采集 6-运输 7-贮藏
		reqBean.setOpt_description("测试销售1");
		reqBean.setSales_area(1042900);
		return reqBean;
	}

	private static Prot20003ReqBean getProt20003ReqBean() {
		Prot20003ReqBean pBean = new Prot20003ReqBean();
		// pBean.setPackage_id(getLabelId("100000000011"));
		pBean.setSingle(getSingleLabel());

		pBean.setPackage_id("1003982653548942");
		System.err.println(" 上传的数据：" + pBean.toString());
		return pBean;
	}

	private static Prot10079ReqBean getYthSingleActivateBean() {
		Prot10079ReqBean reqBean = new Prot10079ReqBean();
		reqBean.setProduct_id("100001");
		reqBean.setProduce_date("2017-3-2");
		// reqBean.setProducer("生产者");
		reqBean.setProduce_batch("1234567");
		reqBean.setType(1);
		reqBean.setGroup_number("");
		reqBean.setFactory_code("358000000_6");
		reqBean.setSingle(getSingleLabel());
		return reqBean;
	}

	private static Prot20002ReqBean getBatchActivateBean() {
		Prot20002ReqBean reqBean = new Prot20002ReqBean();
		reqBean.setProduct_id("100001");
		reqBean.setProduce_date("2017-3-2");
		reqBean.setProducer("生产者");
		reqBean.setProduce_batch("1234567");
		reqBean.setType(2);
		reqBean.setBatcher(new Prot20002ReqBatchBean(getLabelId(String.valueOf(100218567022L)),
				getLabelId(String.valueOf(100218617022L))));
		return reqBean;
	}

	private static Prot20002ReqBean getSingleActivateBean() {
		Prot20002ReqBean reqBean = new Prot20002ReqBean();
		reqBean.setProduct_id("100001");
		reqBean.setProduce_date("2017-3-2");
		reqBean.setProducer("生产者");
		reqBean.setProduce_batch("1234567");
		reqBean.setType(0);
		reqBean.setPackage_id("2000010000018359");
		reqBean.setSingle(getSingleLabel());
		return reqBean;
	}

	
	private static String getLabelId(String id) {
		String labelId = LableUtil.getCheckNum(id);
		return labelId;
	}

}
